Name:          fwbuilder
Version:       5.1.0.3599
Release:       1mamba
Summary:       Firewall Builder
Group:         Network/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.fwbuilder.org
Source0:       http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:       %{name}.png
Source2:       %{name}2.png
Patch0:        fwbuilder-5.1.0.3599-gcc-4.8.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: iptables >= 1.2.8
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libqt4-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel >= 2.6.22
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libsigc++-devel >= 1.0.4
BuildRequires: libgdk-pixbuf >= 0.22.0
Requires:      iptables >= 1.2.8
Provides:      libfwbuilder
Obsoletes:     libfwbuilder
Provides:      libfwbuilder-devel
Obsoletes:     libfwbuilder-devel
BuildRoot:     %{_tmppath}/%{name}-build

%description
Firewall Builder is multi-platform firewall configuration and management tool. It consists of a GUI and set of policy compilers for various firewall platforms. Firewall Builder uses object-oriented approach, it helps administrator maintain a database of network objects and allows policy editing using simple drag-and-drop operations. Firewall Builder currently supports iptables, ipfilter, OpenBSD PF and Cisco PIX. Technical summary of features supported by the policy compilers for all platforms can be found in the section "Modules" (see menu on the left).
Being truly vendor-neutral, Firewall Builder can generate configuration file for any supported target firewall platform from the same policy created in its GUI. This provides for both consistent policy management solution for heterogeneous environments and possible migration path. 
Firewall Builder allows for management of multiple firewalls using the same network object database. Change made to an object is immediately reflected in the policy of all firewalls using this object. Administrator only needs to recompile and install policies on actual firewall machines. 
In Firewall Builder, administrator works with an abstraction of firewall policy and NAT rules; software effectively "hides" specifics of particular target firewall platform and helps administrator focus on implementation of security policy. Backend software components, or policy compilers, can deduct many parameters of policy rules using information available through network and service objects and therefore generate fairly complex code for the target firewall, thus relieving administrator from having to remember all its details and limitations. Policy compilers can also run sanity checks on firewall rules and make sure typical errors are caught before generated policy is deployed.

%prep
%setup -q
%patch0 -p1

%build
export QTDIR=%{_qt4_prefix}
export QMAKE=%{_qt4_bindir}/qmake
./autogen.sh
%configure \
   --enable-auto-docdir \
   --prefix=%{_prefix} \
   --with-iconsdir=%{_datadir}/pixmaps \
   --with-templatedir=%{_datadir}/%{name}

##WARNING: icns.path is not defined: install target not created

%make QTDIR=%{_qt4_prefix}  all

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
%makeinstall QTDIR=%{_qt4_prefix}  INSTALL_ROOT=%{buildroot} 
rm -fr %{buildroot}%{_docdir}/%{name}-%{version}

#Icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/fwbuilder.png

# Create the system menu entry
#mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Firewall Builder
Name[de_DE]=Firewall erstellen
Name[it]=Firewall Builder
Comment=Design and Manage Firewall Rules
Comment[it]=Modellazione regole del firewall
Comment[de_DE]=Erstellen von Firewall Filter Bedingungen
GenericName=Firewall configuration and management tool
GenericName[de_DE]=TFirewall-Konfiguration und Management-Tool
GenericName[it]=Tool di management per firewall
Exec=/usr/bin/fwbuilder
Icon=/usr/share/icons/hicolor/72x72/apps/fwbuilder.png
Terminal=0
Type=Application
Categories=Qt;System;Settings;Security;
X-KDE-StartupNotify=false
X-KDE-RootOnly=true
X-KDE-SubstituteUID=true
X-KDE-Username=root
EOF

#%find_lang %{name}

%clean
[[ "%{buildroot}" ]] && rm -rf %{buildroot}

#%post
#if [ $1 -eq 1 ]; then
# new install
#fi

#%preun
#if [ $1 -eq 0 ]; then
#erase
#fi

#%postun
#if [ $1 -eq 1 ]; then
# upgrade
#    %{_initrddir}/iptables restart
#fi
#-f %{name}.lang

%files  
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/fwbuilder
%{_datadir}/fwbuilder/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*x*/apps/fwbuilder.png
%{_mandir}/man1/fwb*.1.gz

%changelog
* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 5.1.0.3599-1mamba
- automatic version update by autodist

* Fri Oct 22 2010 Automatic Build System <autodist@mambasoft.it> 3.0.6-3mamba
- automatic rebuild by autodist

* Sun Aug 08 2010 Automatic Build System <autodist@mambasoft.it> 3.0.6-2mamba
- automatic rebuild by autodist

* Fri Aug 28 2009 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic update by autodist

* Thu Jul 09 2009 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic update by autodist

* Thu Oct 09 2008 gil <puntogil@libero.it> 3.0.1-1mamba
- update to 3.0.1

* Sat Jul 19 2008 gil <puntogil@libero.it> 2.1.19-1mamba
- update to 2.1.19

* Fri Mar 31 2006 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.0.10-2qilnx
- added desktop file

* Thu Mar 30 2006 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.0.10-1qilnx
- update to version 2.0.10 by autospec

* Wed Nov 26 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1qilnx
- new version rebuild

* Mon Oct 06 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.11-1qilnx
- first build
